Package com.sap.ai.sdk.foundationmodels.openai.generated.model

# Class ChatCompletionMessageToolCallChunkFunction

java.lang.Object
com.sap.ai.sdk.foundationmodels.openai.generated.model.ChatCompletionMessageToolCallChunkFunction

public class ChatCompletionMessageToolCallChunkFunction extends Object
ChatCompletionMessageToolCallChunkFunction

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ChatCompletionMessageToolCallChunkFunction()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ChatCompletionMessageToolCallChunkFunction`
  `arguments(String arguments)`
  Set the arguments of this `ChatCompletionMessageToolCallChunkFunction` instance and return the same instance.
  `boolean`
  `equals(Object o)`
  `String`
  `getArguments()`
  The arguments to call the function with, as generated by the model in JSON format.
  `Object`
  `getCustomField(String name)`
  Deprecated.
  Use `toMap()` instead.
  `Set<String>`
  `getCustomFieldNames()`
  Get the names of the unrecognizable properties of the `ChatCompletionMessageToolCallChunkFunction`.
  `String`
  `getName()`
  The name of the function to call.
  `int`
  `hashCode()`
  `ChatCompletionMessageToolCallChunkFunction`
  `name(String name)`
  Set the name of this `ChatCompletionMessageToolCallChunkFunction` instance and return the same instance.
  `void`
  `setArguments(String arguments)`
  Set the arguments of this `ChatCompletionMessageToolCallChunkFunction` instance.
  `void`
  `setCustomField(String customFieldName, Object customFieldValue)`
  Set an unrecognizable property of this `ChatCompletionMessageToolCallChunkFunction` instance.
  `void`
  `setName(String name)`
  Set the name of this `ChatCompletionMessageToolCallChunkFunction` instance.
  `Map<String,Object>`
  `toMap()`
  Get the value of all properties of this `ChatCompletionMessageToolCallChunkFunction` instance including unrecognized properties.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ChatCompletionMessageToolCallChunkFunction

    public ChatCompletionMessageToolCallChunkFunction()

- ## Method Details

  - ### name

    @Nonnull public ChatCompletionMessageToolCallChunkFunction name(@Nullable String name)
    Set the name of this `ChatCompletionMessageToolCallChunkFunction` instance and return the same instance.
    Parameters:
      `name` - The name of the function to call.
    Returns:
      The same instance of this `ChatCompletionMessageToolCallChunkFunction` class

  - ### getName

    @Nonnull public String getName()
    The name of the function to call.
    Returns:
      name The name of this `ChatCompletionMessageToolCallChunkFunction` instance.

  - ### setName

    public void setName(@Nullable String name)
    Set the name of this `ChatCompletionMessageToolCallChunkFunction` instance.
    Parameters:
      `name` - The name of the function to call.

  - ### arguments

    @Nonnull public ChatCompletionMessageToolCallChunkFunction arguments(@Nullable String arguments)
    Set the arguments of this `ChatCompletionMessageToolCallChunkFunction` instance and return the same instance.
    Parameters:
      `arguments` - The arguments to call the function with, as generated by the model in JSON format. Note that the model does not always generate valid JSON, and may hallucinate parameters not defined by your function schema. Validate the arguments in your code before calling your function.
    Returns:
      The same instance of this `ChatCompletionMessageToolCallChunkFunction` class

  - ### getArguments

    @Nonnull public String getArguments()
    The arguments to call the function with, as generated by the model in JSON format. Note that the model does not always generate valid JSON, and may hallucinate parameters not defined by your function schema. Validate the arguments in your code before calling your function.
    Returns:
      arguments The arguments of this `ChatCompletionMessageToolCallChunkFunction` instance.

  - ### setArguments

    public void setArguments(@Nullable String arguments)
    Set the arguments of this `ChatCompletionMessageToolCallChunkFunction` instance.
    Parameters:
      `arguments` - The arguments to call the function with, as generated by the model in JSON format. Note that the model does not always generate valid JSON, and may hallucinate parameters not defined by your function schema. Validate the arguments in your code before calling your function.

  - ### getCustomFieldNames

    @Nonnull public Set<String> getCustomFieldNames()
    Get the names of the unrecognizable properties of the `ChatCompletionMessageToolCallChunkFunction`.
    Returns:
      The set of properties names

  - ### getCustomField

    @Nullable @Deprecated public Object getCustomField(@Nonnull String name) throws NoSuchElementException
    Deprecated.
    Use `toMap()` instead.
    Get the value of an unrecognizable property of this `ChatCompletionMessageToolCallChunkFunction` instance.
    Parameters:
      `name` - The name of the property
    Returns:
      The value of the property
    Throws:
      `NoSuchElementException` - If no property with the given name could be found.

  - ### toMap

    @Nonnull public Map<String,Object> toMap()
    Get the value of all properties of this `ChatCompletionMessageToolCallChunkFunction` instance including unrecognized properties.
    Returns:
      The map of all properties

  - ### setCustomField

    public void setCustomField(@Nonnull String customFieldName, @Nullable Object customFieldValue)
    Set an unrecognizable property of this `ChatCompletionMessageToolCallChunkFunction` instance. If the map previously contained a mapping for the key, the old value is replaced by the specified value.
    Parameters:
      `customFieldName` - The name of the property
      `customFieldValue` - The value of the property

  - ### equals

    public boolean equals(@Nullable Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    @Nonnull public String toString()
    Overrides:
      `toString` in class `Object`